Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class DeliveryAddressLine

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.DeliveryAddressLine

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class DeliveryAddressLine

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Delivery Address Line', and utility methods for working with them. specDomain: V17887 (C-0-D10642-V17887-cpt)

See Also:
  `CDAR2Package.getDeliveryAddressLine()`

Field Summary
`static int` | `DAL` The 'DAL' literal value.
`static DeliveryAddressLine` | `DAL_LITERAL` The 'DAL' literal object.
`static int` | `DINST` The 'DINST' literal value.
`static DeliveryAddressLine` | `DINST_LITERAL` The 'DINST' literal object.
`static int` | `DINSTA` The 'DINSTA' literal value.
`static DeliveryAddressLine` | `DINSTA_LITERAL` The 'DINSTA' literal object.
`static int` | `DINSTQ` The 'DINSTQ' literal value.
`static DeliveryAddressLine` | `DINSTQ_LITERAL` The 'DINSTQ' literal object.
`static int` | `DMOD` The 'DMOD' literal value.
`static DeliveryAddressLine` | `DMOD_LITERAL` The 'DMOD' literal object.
`static int` | `DMODID` The 'DMODID' literal value.
`static DeliveryAddressLine` | `DMODID_LITERAL` The 'DMODID' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Delivery Address Line' enumerators.

Method Summary
`static DeliveryAddressLine` | `get(int value)` Returns the 'Delivery Address Line' literal with the specified integer value.
`static DeliveryAddressLine` | `get(java.lang.String literal)` Returns the 'Delivery Address Line' literal with the specified literal value.
`static DeliveryAddressLine` | `getByName(java.lang.String name)` Returns the 'Delivery Address Line' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DAL

    public static final int DAL

  The 'DAL' literal value.

  If the meaning of 'DAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DAL_LITERAL`, Constant Field Values

### DINST

    public static final int DINST

  The 'DINST' literal value.

  If the meaning of 'DINST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DINST_LITERAL`, Constant Field Values

### DINSTA

    public static final int DINSTA

  The 'DINSTA' literal value.

  If the meaning of 'DINSTA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DINSTA_LITERAL`, Constant Field Values

### DINSTQ

    public static final int DINSTQ

  The 'DINSTQ' literal value.

  If the meaning of 'DINSTQ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DINSTQ_LITERAL`, Constant Field Values

### DMOD

    public static final int DMOD

  The 'DMOD' literal value.

  If the meaning of 'DMOD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DMOD_LITERAL`, Constant Field Values

### DMODID

    public static final int DMODID

  The 'DMODID' literal value.

  If the meaning of 'DMODID' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DMODID_LITERAL`, Constant Field Values

### DAL_LITERAL

    public static final DeliveryAddressLine DAL_LITERAL

  The 'DAL' literal object.

  See Also:
    `DAL`

### DINST_LITERAL

    public static final DeliveryAddressLine DINST_LITERAL

  The 'DINST' literal object.

  See Also:
    `DINST`

### DINSTA_LITERAL

    public static final DeliveryAddressLine DINSTA_LITERAL

  The 'DINSTA' literal object.

  See Also:
    `DINSTA`

### DINSTQ_LITERAL

    public static final DeliveryAddressLine DINSTQ_LITERAL

  The 'DINSTQ' literal object.

  See Also:
    `DINSTQ`

### DMOD_LITERAL

    public static final DeliveryAddressLine DMOD_LITERAL

  The 'DMOD' literal object.

  See Also:
    `DMOD`

### DMODID_LITERAL

    public static final DeliveryAddressLine DMODID_LITERAL

  The 'DMODID' literal object.

  See Also:
    `DMODID`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Delivery Address Line' enumerators.

Method Detail

### get

    public static DeliveryAddressLine get(java.lang.String literal)

  Returns the 'Delivery Address Line' literal with the specified literal value.

### getByName

    public static DeliveryAddressLine getByName(java.lang.String name)

  Returns the 'Delivery Address Line' literal with the specified name.

### get

    public static DeliveryAddressLine get(int value)

  Returns the 'Delivery Address Line' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD